## net.i2p.data
Class Base32

    java.lang.Object
      net.i2p.data.Base32

    public class Base32

extends Object

Encodes and decodes to and from Base32 notation. Ref: RFC 3548 Don't bother with '=' padding characters on encode or accept them on decode (i.e. don't require 5-character groups). No whitespace allowed. Decode accepts upper or lower case.

Since:
  0.7
Author:
  zzz

Method Summary
`static byte[]` `decode(String s)`
`static String` `decodeToString(String s)` Decodes data from Base32 notation and returns it as a string.
`static String` `encode(byte[] source)`
`static String` `encode(String source)`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)

### encode

    public static String encode(String source)

  Parameters:
    `source` - if null will return ""

### encode

    public static String encode(byte[] source)

  Parameters:
    `source` - The data to convert non-null

### decodeToString

    public static String decodeToString(String s)

  Decodes data from Base32 notation and returns it as a string.

  Parameters:
    `s` - the string to decode, if null returns null
  Returns:
    The data as a string or null on failure

### decode

    public static byte[] decode(String s)

  Parameters:
    `s` - non-null
  Returns:
    decoded data, null on error